## h264parse h264parse |

## Properties

gboolean | split-packetized | Read / Write / Construct
gboolean | access-unit | Read / Write
GstH264ParseFormat | output-format | Read / Write
gint | config-interval | Read / Write / Construct

## Types and Values

struct | GstH264Parse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstH264Parse

## Description

## Synopsis

### Element Information

plugin | videoparsersbad
author | Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>
class | Codec/Parser/Converter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-h264

name | src
direction | source
presence | always
details | video/x-h264, parsed=(boolean)true, stream-format=(string){ avc, avc3, byte-stream }, alignment=(string){ au, nal }

## Functions

## Types and Values

### struct GstH264Parse

    struct GstH264Parse;

## Property Details

### The `“split-packetized”` property

      “split-packetized”         gboolean

Split NAL units of packetized streams.

Flags: Read / Write / Construct

Default value: FALSE

### The `“access-unit”` property

      “access-unit”              gboolean

Output Acess Units rather than NALUs.

Flags: Read / Write

Default value: FALSE

### The `“output-format”` property

      “output-format”            GstH264ParseFormat

Output Format of stream (bytestream or otherwise).

Flags: Read / Write

Default value: Input Format

### The `“config-interval”` property

      “config-interval”          gint

Send SPS and PPS Insertion Interval in seconds (sprop parameter sets will be multiplexed in the data stream when detected.) (0 = disabled, -1 = send with every IDR frame).

Flags: Read / Write / Construct

Allowed values: [G_MAXULONG,3600]

Default value: 0